import { CollectionConfig } from 'payload/types';

const Products: CollectionConfig = {
  slug: 'products',
  admin: {
    useAsTitle: 'productTitle',
  },
  access: {
    read: () => true,
  },
  fields: [
    {
        name: 'productTitle', // required
        type: 'text', // required
        required: true,
      },
  ],
};

export default Products;